Index: npl/mailserver/zarafa_webapp/zarafa_webapp.SlackBuild
===================================================================
--- npl/mailserver/zarafa_webapp/zarafa_webapp.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/mailserver/zarafa_webapp/zarafa_webapp.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,75 @@
+#!/bin/bash
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#Strict build-dependencies
+#Our package will be automaticly rebuilded if there is a major change in a DEP package.
+#(this is recommended for most dependencys)
+##DEP:linux
+##DEP:linux_src
+##DEP:openldap
+
+#Loose build-dependencies
+#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
+#(not recommended)
+##NEED:doxygen
+#NEED:apache_ant
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+#patch -p1 -d $SRC_DIR < movemessage.patch || exit 1
+
+#plugins (they need to be ant deployed and this needs file from the webapp source package)
+FILEVIEWER=fileviewer-master-8f37528886871763b0faa061a6c6c7f7537cd88e
+unzip $FILEVIEWER.zip
+mv $FILEVIEWER $SRC_DIR/plugins/fileviewer 
+
+
+pushd $SRC_DIR 
+PATH=$PATH:/usr/lib/ant/bin
+make antdeploy
+mkdir -p /tmp/pkg/var/www/htdocs/syn3/
+mv deploy /tmp/pkg/var/www/htdocs/syn3/zarafa_webapp
+popd
+
+#enable some plugins
+sed -i "s/.*PLUGIN_GMAPS_USER_DEFAULT_ENABLE.*/define('PLUGIN_GMAPS_USER_DEFAULT_ENABLE', true);/" /tmp/pkg/var/www/htdocs/syn3/zarafa_webapp/plugins/gmaps/config.php
+
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/mailserver/zarafa_webapp/zarafa_webapp.arch
===================================================================
--- npl/mailserver/zarafa_webapp/zarafa_webapp.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/mailserver/zarafa_webapp/zarafa_webapp.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/zarafa_webapp/zarafa_webapp.md5
===================================================================
--- npl/mailserver/zarafa_webapp/zarafa_webapp.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/mailserver/zarafa_webapp/zarafa_webapp.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,5 @@
+05231636722392b66c9d5af9e1af41be  ./fileviewer-master-8f37528886871763b0faa061a6c6c7f7537cd88e.zip
+285a09e1a1d69fd2929c7110ee6a4769  ./webapp-2.2.1.43.tar.gz
+6a1ebf024a90f783f649685a7952e404  ./zarafa_webapp.pkg
+3c74ba493041d4ebb09d27ee53aaab99  ./zarafa_webapp.SlackBuild
+78d56b3408867c7a1a87e858ccd8302c  ./zarafa_webapp.SlackBuild.log.gz
Index: npl/mailserver/zarafa_webapp/zarafa_webapp.version
===================================================================
--- npl/mailserver/zarafa_webapp/zarafa_webapp.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/mailserver/zarafa_webapp/zarafa_webapp.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+2.2.1.43
